%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn   YAML
%define modv   0.77
%define modp   %(echo %{modn} | cut -d'-' -f1)


Summary:       A YAML implementation for Perl
Name:          perl-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       GPL+ or Artistic
Group:         Development/Libraries
Source0:       http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{modn}-%{modv}.tar.gz
URL:           http://search.cpan.org/dist/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Adam Kennedy <adamk@cpan.org>
Provides:      perl(Test::YAML) = %{modv}
Provides:      perl(YAML) = %{modv}
Provides:      perl(YAML::Any) = %{modv}
Provides:      perl(YAML::Dumper) = %{modv}
Provides:      perl(YAML::Dumper::Base) = %{modv}
Provides:      perl(YAML::Error) = %{modv}
Provides:      perl(YAML::Loader) = %{modv}
Provides:      perl(YAML::Loader::Base) = %{modv}
Provides:      perl(YAML::Marshall) = %{modv}
Provides:      perl(YAML::Node) = %{modv}
Provides:      perl(YAML::Tag) = %{modv}
Provides:      perl(YAML::Types) = %{modv}
Provides:      perl(YAML::Warning) = %{modv}
Requires:      perl(:MODULE_COMPAT_%{perl_version})
Requires:      perl(Carp)
Requires:      perl(Data::Dumper)
BuildRequires: perl >= 5.8.1
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(FindBin)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:     noarch


%description
YAML implements a YAML Loader and Dumper for Perl based on the YAML 1.0 spec.
YAML is a generic data serialization language optimized for human readability.
It can be used to express data structures of most modern programming languages.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/Test
%{perl_vendorlib}/%{modn}
%{perl_vendorlib}/%{modn}.pm
%{_mandir}/man3/*.3*


%changelog
* Tue Oct 11 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.77-1
- New version (0.77)

* Thu Dec 02 2010 Peter Pramberger <peterpramb@member.fsf.org> - 0.72-1
- New version (0.72)

* Wed Feb 11 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.68-1
- New version (0.68)

* Fri May 09 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.66-1
- Initial build
